﻿Option Strict On
Option Explicit On

Namespace Dialog

    Public Class TaskDialogRadioButton

#Region "New"
        Sub New(ButtonID As Integer,
                ButtonText As String,
                Optional DefaultButton As Boolean = False,
                Optional EnableButton As Boolean = True)

            With m_DialogRadioButton
                .ButtonID = ButtonID
                .ButtonText = ButtonText
                .EnableButton = EnableButton
                .DefaultButton = DefaultButton
            End With

        End Sub
#End Region

#Region "Structure"
        Private Structure DialogRadioButton
            Dim ButtonID As Integer
            Dim ButtonText As String
            Dim EnableButton As Boolean
            Dim DefaultButton As Boolean
        End Structure
#End Region

#Region "Variable"
        Private m_DialogRadioButton As DialogRadioButton
#End Region

#Region "Properties"
        Public Property ButtonID() As Integer
            Get
                Return m_DialogRadioButton.ButtonID
            End Get
            Set(value As Integer)
                m_DialogRadioButton.ButtonID = value
            End Set
        End Property

        Public Property ButtonText() As String
            Get
                Return m_DialogRadioButton.ButtonText
            End Get
            Set(value As String)
                m_DialogRadioButton.ButtonText = value
            End Set
        End Property

        Public Property EnableButton() As Boolean
            Get
                Return m_DialogRadioButton.EnableButton
            End Get
            Set(value As Boolean)
                m_DialogRadioButton.EnableButton = value
            End Set
        End Property

        Public Property DefaultButton() As Boolean
            Get
                Return m_DialogRadioButton.DefaultButton
            End Get
            Set(value As Boolean)
                m_DialogRadioButton.DefaultButton = value
            End Set
        End Property
#End Region

    End Class

End Namespace

